appcompat-v7 build 錯誤

因為要用 toolbar
加入 com.android.support:appcompat-v7:22.2.0

原本在 build.gradle裡
compileSdkVersion 14
buildToolsVersion 14

結果出現
appcompact-v7\22.2.0\res\values-v17\values-v17.xml 錯誤

v17-error

並且 values-v21.xml這支檔案也噴一堆錯誤

v21-error

改為以下
compileSdkVersion 21
buildToolsVersion “21.0.1”

就可以build成功了

來源參考
http://stackoverflow.com/questions/26457096/appcompat-v7-r21-returning-error-in-values-xml

1 關於 “appcompat-v7 build 錯誤” 的評論

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *